textures/mr_sfx/mr_water_1
	{
		qer_editorimage textures/mr_sfx/mr_water1
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		//surfaceparm lightfilter
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/mr_sfx/mr_water1.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}	
		{ 
			map textures/mr_sfx/mr_water1.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/ut4_rnr_alpha/mr_sfx/bomb_a
{
	qer_editorimage textures/ut4_rnr_alpha/mr_sfx/bombspot_a.tga
		surfaceparm trans
		surfaceparm nolightmap
		surfaceparm nonsolid
		polygonOffset
		{
			clampmap textures/ut4_rnr_alpha/mr_sfx/bombspot_a.tga
				tcMod stretch sin 2.6 0.80 0.3 1.06
				//tcMod rotate 30
				//            func base amplitude phase freq
				alphagen wave sin  2    1         .2   1.06
				blendfunc blend
		}
}

textures/ut4_rnr_alpha/mr_sfx/bomb_b
{
	qer_editorimage textures/ut4_rnr_alpha/mr_sfx/bombspot_a.tga
		surfaceparm trans
		surfaceparm nolightmap
		surfaceparm nonsolid
		polygonOffset
		{
			clampmap textures/ut4_rnr_alpha/mr_sfx/bombspot_b.tga
				tcMod stretch sin 2.6 0.80 0.3 1.06
				//tcMod rotate 30
				//            func base amplitude phase freq
				alphagen wave sin  2    1         .2   1.06
				blendfunc blend
		}
}

textures/ut4_rnr_alpha/mr_sfx/clear_glass
{
	qer_editorimage textures/ut4_rnr_alpha/mr_sfx/mr_rnr_env.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		//map textures/ut4_rnr_alpha/mr_dev/blk_25.tga
		map textures/ut4_rnr_alpha/mr_dev/blk_50.tga
		blendfunc blend
		//rgbGen identity
	}
	{
		map textures/ut4_rnr_alpha/mr_sfx/mr_rnr_env.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc add
		tcGen environment
		//alphagen const 0.4
	}
}

textures/ut4_rnr_alpha/mr_sfx/black_mirror
{
	qer_editorimage textures/ut4_rnr_alpha/mr_sfx/mr_rnr_env.tga
	qer_trans 0.95
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/ut4_rnr_alpha/mr_dev/blk.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/ut4_rnr_alpha/mr_sfx/mr_rnr_env.tga
		blendfunc GL_ONE GL_ONE
		tcGen environment
	}
}

textures/ut4_rnr_alpha/mr_sfx/rnr_glass1
{
	qer_editorimage textures/ut4_rnr_alpha/mr_sfx/mr_rnr_env.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/ut4_rnr_alpha/mr_dev/blk_50.tga
		blendfunc blend
		rgbGen identity
		alphaGen const 0.7
	}
	{
		map textures/ut4_rnr_alpha/mr_metal/mr_shiny_env.tga
			blendfunc add
			rgbgen const ( 0.2 0.2 0.2 )
			//rgbgen identity
			tcMod scale 3 3
			tcGen environment
	}
}

textures/ut4_rnr_alpha/mr_sfx/rnr_glass2
{
	qer_editorimage textures/mr_metal/mr_shiny_env_red.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/ut4_rnr_alpha/mr_dev/blk_50.tga
		blendfunc blend
		//rgbgen const ( 0.45 0.40 0.40 )
		//rgbGen identity
		//alphagen const 0.7
	}
	{
		map textures/ut4_rnr_alpha/mr_metal/mr_shiny_env_red.tga
			blendfunc add
			//rgbgen const ( 0.17 0.12 .10 )
			//rgbgen identity
			//tcMod scale 3 3
			//alphagen const 0.3
			tcGen environment
	}
}

textures/ut4_rnr_alpha/mr_sfx/rnr_glass_brk_side
{
	qer_editorimage env/rnrsky/rnrsky_ft
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/ut4_rnr_alpha/mr_dev/blk_50.tga
		blendfunc blend
		//rgbgen const ( 0.45 0.40 0.40 )
		//rgbGen identity
		//alphagen const 0.7
	}
	{
		map textures/mr_metal/mr_shiny_env.tga
			blendfunc add
			rgbgen const ( 0.35 0.25 0.20 )
			//rgbgen identity
			tcMod scale 3 3
			alphagen const 0.3
			tcGen environment
	}
}

textures/ut4_rnr_alpha/mr_sfx/smoked_glass_light
{
	qer_editorimage textures/ut4_rnr_alpha/mr_dev/cld_alpha_black
		qer_trans 0.50
		surfaceparm nolightmap
		surfaceparm nodlight
		surfaceparm trans
		{
			map textures/ut4_rnr_alpha/mr_dev/cld_alpha_black
				blendfunc filter
				rgbGen identity
		}
	{
		map textures/ut4_rnr_alpha/mr_dev/cld_env
			blendfunc add
			//rgbGen identity
			rgbgen const ( 0.3 0.3 0.35 )
			tcGen environment
	}
}

textures/ut4_rnr_alpha/mr_sfx/smoked_glass_cloudenv
{
	qer_editorimage env\lbsky2\lbsky2_up
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/ut4_rnr_alpha/mr_dev/blk_50.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_rnr_alpha/mr_dev/cld_env
		blendfunc add
		//rgbGen identity
		rgbgen const ( 0.7 0.7 0.7 )
		tcGen environment
	}
	    {
                map env\lbsky2\lbsky2_up
                blendfunc filter
                rgbGen identity
                tcGen environment
        }
}

textures/ut4_rnr_alpha/mr_lights/wht_light_200
{
	qer_editorimage	textures/ut4_rnr_alpha/mr_dev/wht
		q3map_surfacelight 200
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/ut4_rnr_alpha/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_lights/strip_light_10000
{
	qer_editorimage	textures/mr_dev/lgt_base
		q3map_surfacelight 10000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_backSplash 0 0
		q3map_lightSubdivide 32		//mr.yeah!
		q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/ut4_rnr_alpha/mr_dev/lgt_base
				rgbGen identity
		}
}

models/ut4_rnr_alpha/ziba/bark01
{
	q3map_material	SolidWood
	//q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map models/ziba/bark01
        rgbGen identity
    }
}

models/ut4_rnr_alpha/ziba/leaves01
{
	qer_trans 1.0
	cull	twosided
    {
	map models/ziba/leaves01
	alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
    }
    { 
        map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}

models/ziba/plant_01
{
	qer_trans 1.0
	cull	twosided
    {
	map models/ziba/plant_01
	alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
    }
    { 
        map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}

models/ziba/plant_02
{
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//surfaceparm nolightmap
	qer_trans 1.0
	nopicmip
	cull	none
    {
		map models/ziba/plant_02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
    { 
        map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
    }
}

textures/ut4_rnr_alpha/mr_sfx/dark_blue_glass
{
	qer_editorimage env\lbsky2\lbsky2_rt
	qer_trans 0.50
	//surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	//q3map_tessSize 128
	{
    	map env\lbsky2\lbsky2_up_blured3
    	rgbgen const ( 0.9 0.9 0.9 )
    	blendFunc filter
    	tcGen environment
    }
}

textures/ut4_rnr_alpha/mr_sfx/smoked_blue_glass
{
	qer_editorimage env\lbsky2\lbsky2_rt
	qer_trans 0.90
	//surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	//q3map_tessSize 128
	{
    	map env\lbsky2\lbsky2_up_blured3
    	rgbgen const ( 0.9 0.9 0.9 )
    	blendfunc blend
    	tcMod scale 0.8 0.8
    	alphaGen const 0.95
    	tcGen environment
    }
}

textures/ut4_rnr_alpha/mr_sfx/brass_plate
{
	qer_editorimage textures/mr_metal/mr_brass_base.tga
	//surfaceparm nolightmap
	surfaceparm nodlight
	q3map_tessSize 128
	{
		map textures/mr_metal/mr_shiny_env.tga
		tcGen environment
		tcmod scale 2 2
	}
	{
		map textures/mr_metal/mr_stone_overlay.tga
		//blendfunc GL_DST_COLOR GL_ONE	
		blendFunc blend
		rgbGen identity
		alphaGen const 0.95
	}
	{
		map textures/mr_metal/mr_brass_base.tga
		//blendfunc filter
		blendfunc GL_DST_COLOR GL_ONE	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_rnr_alpha/mr_sfx/copper_plate
{
	qer_editorimage textures/mr_metal/mr_copper_base.tga
	//surfaceparm nolightmap
	surfaceparm nodlight
	q3map_tessSize 128
	{
		map textures/mr_metal/mr_shiny_env.tga
		tcGen environment
		tcmod scale 2 2
	}
	{
		map textures/mr_metal/mr_stone_overlay.tga
		blendfunc blend
		rgbGen identity
		alphaGen const 0.95
	}
	{
		map textures/mr_metal/mr_copper_base.tga
		//blendfunc filter
		blendfunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_rnr_alpha/mr_sfx/bronze_plate
{
	qer_editorimage textures/mr_metal/mr_bronze_base.tga
	//surfaceparm nolightmap
	surfaceparm nodlight
	q3map_tessSize 128
	{
		map textures/mr_metal/mr_shiny_env.tga
		tcGen environment
		tcmod scale 2 2
	}
	{
		map textures/mr_metal/mr_stone_overlay.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/mr_metal/mr_bronze_base.tga
		blendfunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_rnr_alpha/mr_metal/rnr_metal
{
	qer_editorimage textures/mr_metal/rnr_metal_base.tga
	//qer_trans 0.5
	//surfaceparm nolightmap
	surfaceparm nodlight
	//q3map_tessSize 128
	{
		map textures/ut4_rnr_alpha/mr_metal/mr_shiny_env.tga
		tcGen environment
		//rgbGen const ( 0.75 0.75 0.75 )
		tcmod scale 2 2
	}
	{
		map textures/ut4_rnr_alpha/mr_metal/rnr_metal_texture.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/ut4_rnr_alpha/mr_metal/rnr_metal_base.tga
		blendfunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_rnr_alpha/mr_sfx/gold_plate
{
	qer_editorimage textures/mr_metal/mr_gold_base.tga
	//surfaceparm nolightmap
	surfaceparm nodlight
	q3map_tessSize 128
	{
		map textures/mr_metal/mr_shiny_env.tga
		tcGen environment
		tcmod scale 2 2
	}
	{
		map textures/mr_metal/mr_stone_overlay.tga
		blendfunc blend
		rgbGen identity
		alphaGen const 0.85
	}
	{
		map textures/mr_metal/mr_gold_base.tga
		blendfunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_rnr_alpha/mr_sfx/platinum_plate
{
	qer_editorimage textures/mr_metal/mr_platinum_base.tga
	//surfaceparm nolightmap
	surfaceparm nodlight
	q3map_tessSize 128
	{
		map textures/mr_metal/mr_shiny_env.tga
		tcGen environment
		tcmod scale 2 2
	}
	{
		map textures/mr_metal/mr_stone_overlay.tga
		blendfunc blend	
		rgbGen identity
		alphaGen const 0.85
	}
	{
		map textures/mr_metal/mr_platinum_base.tga
		blendfunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_rnr_alpha/mr_wall/mr_marbletiles_dark_s
{
	qer_editorimage textures/mr_wall/mr_marbletiles_dark
	q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    rgbGen identity
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map textures/mr_wall/mr_marbletiles_dark_a2.tga
		blendfunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_wall/mr_marbletiles_clear_s
{
	qer_editorimage textures/mr_wall/mr_marbletiles_clear
	q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    rgbGen identity
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map textures/mr_wall/mr_marbletiles_clear_a2.tga
		blendfunc GL_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_floor/mr_stonefloor_s
{
	qer_editorimage textures/mr_floor/mr_stonefloor_01_a
	//q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    rgbGen identity
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map textures/mr_floor/mr_stonefloor_01_a
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_tiles/mr_marbletiles_clear_s_2
{
	qer_editorimage textures/mr_tiles/mr_marbletiles_05_a
	q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    rgbGen identity
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map textures/mr_tiles/mr_marbletiles_05_a
		blendfunc GL_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_tiles/mr_largetiles_05_s
{
	qer_editorimage textures/mr_tiles/mr_largetiles_05_a.tga
	//q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    rgbGen identity
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map textures/mr_tiles/mr_largetiles_05_a.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_lights/mr_washi_lantern_face_s
{
	qer_editorimage textures/mr_lights/mr_washi_lantern_face3
	q3map_surfacelight 	800
	q3map_lightRGB 240 200 150
	q3map_backSplash 0 0
	surfaceparm nolightmap	
	{
		map textures/mr_lights/mr_washi_lantern_face3
	    rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_lights/mr_washi_lantern_face_s_nl
{
	qer_editorimage textures/mr_lights/mr_washi_lantern_face3
	surfaceparm nolightmap	
	{
		map textures/mr_lights/mr_washi_lantern_face3
	    rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_lights/mr_washi_lantern_stripe_s
{
	qer_editorimage textures/mr_lights/mr_washi_lantern_stripe
	q3map_surfacelight 	800
	q3map_lightRGB 240 200 150
	q3map_backSplash 0 0
	surfaceparm nolightmap	
	{
		map textures/mr_lights/mr_washi_lantern_stripe
	    rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_lights/mr_washi_lantern_face2_s
{
	qer_editorimage textures/mr_lights/mr_washi_lantern_face2
	q3map_surfacelight 	800
	q3map_lightRGB 255 236 160
	q3map_backSplash 0 0
	surfaceparm nolightmap	
	{
		map textures/mr_lights/mr_washi_lantern_face2
	    rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_lights/mr_washi_lantern_stripe2_s
{
	qer_editorimage textures/mr_lights/mr_washi_lantern_stripe2
	q3map_surfacelight 	800
	q3map_lightRGB 255 236 160
	q3map_backSplash 0 0
	surfaceparm nolightmap	
	{
		map textures/mr_lights/mr_washi_lantern_stripe2
	    rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_rock_01_s
{
  q3map_nonplanar
  q3map_shadeangle 170
  qer_editorimage textures/mr_mat/mr_rock01
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/mr_mat/mr_rock01
    blendFunc filter
  }
}

textures/ut4_rnr_alpha/mr_rock_03_s
{
  q3map_nonplanar
  q3map_shadeangle 170
  qer_editorimage textures/mr_mat/mr_rock_03
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/ut4_rnr_alpha/mr_mat/mr_rock_03
    blendFunc filter
  }
}

textures/ut4_rnr_alpha/mr_rock_04_s
{
  q3map_nonplanar
  q3map_shadeangle 170
  qer_editorimage textures/mr_mat/mr_rock_04
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/mr_mat/mr_rock_04
    blendFunc filter
  }
}

textures/ut4_rnr_alpha/mr_rock_cliff_s
{
  q3map_nonplanar
  q3map_shadeangle 170
  qer_editorimage textures/mr_mat/mr_rock_cliff_01
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/mr_mat/mr_rock_cliff_01
    blendFunc filter
  }
}

textures/ut4_rnr_alpha/mr_moss_s
{
  q3map_nonplanar
  q3map_shadeangle 170
  qer_editorimage textures/terrain_soc/ter_moss1
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/terrain_soc/ter_moss1
    blendFunc filter
  }
}


textures/ut4_rnr_alpha/mr_mat/mr_marble_05_s
{
	qer_editorimage textures/mr_mat/mr_marble_05
	q3map_tessSize 128
	{
		map textures/mr_mat/mr_marble_05
		//blendfunc GL_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    //rgbGen identity
	    blendFunc add
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_mat/mr_marble_01_s
{
	qer_editorimage textures/mr_mat/mr_marble_01
	q3map_tessSize 128
	{
		map textures/mr_mat/mr_marble_01
		//blendfunc GL_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    //rgbGen identity
	    blendFunc add
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_mat/mr_marble_04_s
{
	qer_editorimage textures/mr_mat/mr_marble_04
	q3map_tessSize 128
	{
		map textures/mr_mat/mr_marble_04
		//blendfunc GL_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    //rgbGen identity
	    blendFunc add
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_mat/mr_marble_06_s
{
	qer_editorimage textures/mr_mat/mr_marble_06
	//q3map_tessSize 128
	{
		map textures/mr_mat/mr_marble_06
		//blendfunc GL_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    //rgbGen identity
	    blendFunc add
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_mat/mr_basalt_s
{
	qer_editorimage textures/mr_mat/mr_basalt_01
	q3map_tessSize 128
	{
		map textures/ut4_rnr_alpha/mr_mat/mr_basalt_01
		//blendfunc GL_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/ut4_rnr_alpha/mr_sfx/tiles_marble_env.jpg
	    //rgbGen identity
	    blendFunc add
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_leather_01_s
{
  q3map_nonplanar
  q3map_shadeangle 170
  qer_editorimage textures/mr_fabric/mr_leather_01
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/ut4_rnr_alpha/mr_fabric/mr_leather_01
    blendFunc filter
  }
}

textures/ut4_rnr_alpha/mr_fabric/mr_fabric_01_s
{
	qer_editorimage textures/mr_fabric/mr_fabric_02
		//surfaceparm nonsolid
		//surfaceparm playerclip
		{
			map textures/ut4_rnr_alpha/mr_fabric/mr_fabric_02
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_fabric/mr_fabric_02_s
{
	qer_editorimage textures/mr_fabric/mr_fabric_02
		//surfaceparm nonsolid
		//surfaceparm playerclip
		surfaceparm lightfilter
		surfaceparm trans
		cull none
		{
			map textures/ut4_rnr_alpha/mr_fabric/mr_fabric_02
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_bamboo_01_s
{
  surfaceparm nonsolid
  surfaceparm nomarks
  q3map_nonplanar
  q3map_shadeangle 170
  qer_editorimage textures/ut4_rnr_alpha/mr_nature/mr_bamboo_01
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/ut4_rnr_alpha/mr_nature/mr_bamboo_01
    blendFunc filter
  }
}

textures/ut4_rnr_alpha/mr_surfacelight_org_4000
{
	qer_editorimage	textures/mr_dev/org_lg
		q3map_surfacelight 	4000
		q3map_lightRGB 250 170 80
		q3map_backSplash 0 0
		q3map_lightSubdivide 8
		//q3map_lightmapFilterRadius other 16
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/ut4_rnr_alpha/mr_dev/org_lg
			rgbGen identity
		}
}

//textures/ut4_rnr_alpha/mr_metal/rnr_metal
//{
//	qer_editorimage textures/ut4_rnr_alpha/mr_metal/rnr_metal_base.tga
//	surfaceparm nodlight
//	{
//		map textures/ut4_rnr_alpha/mr_metal/mr_shiny_env.tga
//		tcGen environment
//		tcmod scale 2 2
//	}
//	{
//		map textures/ut4_rnr_alpha/mr_metal/rnr_metal_texture.tga
//		blendfunc blend
//		rgbGen identity
//	}
//	{
//		map textures/ut4_rnr_alpha/mr_metal/rnr_metal_base.tga
//		blendfunc GL_DST_COLOR GL_ONE
//		rgbGen identity
//	}
//	{
//		map $lightmap
//		blendfunc filter
//		rgbgen identity
//	}
//}

textures/ut4_rnr_alpha/calm_water
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	
	cull disable
	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}	
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/ut4_rnr_alpha/mr_bamboo_01_s
{
	surfaceparm nomarks
	q3map_nonplanar
	q3map_shadeangle 170
	qer_editorimage textures/ut4_rnr_alpha/mr_nature/mr_bamboo_01
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_rnr_alpha/mr_nature/mr_bamboo_01
		blendFunc filter
	}
}

// F A C A D E

textures/ut4_rnr_alpha/mr_sfx/facade_cloudenv
{
	qer_editorimage env/rnrsky/rnrsky_ft
	//surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	//q3map_tessSize 128
	{
		map $lightmap
		rgbGen identityLighting
	}
	{
    	map env/rnrsky/rnrsky_ft
    	//rgbgen const ( 0.9 0.9 0.9 )
    	blendFunc filter
    	tcGen environment
    }
	{
    	map env/rnrsky/rnrsky_ft
    	//rgbgen const ( 0.9 0.9 0.9 )
    	blendFunc add
    	tcGen environment
    }
}

textures/ut4_rnr_alpha/mr_sfx/facade_cloudenv2
{
	qer_editorimage env/rnrsky/rnrsky_rt
	surfaceparm nolightmap
	qer_trans 0.99
	//surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	//q3map_tessSize 128
	{
		map $lightmap
		rgbGen identityLighting
	}
	{
    	map env/rnrsky/rnrsky_ft
    	rgbgen const ( 0.9 0.9 0.9 )
    	blendFunc filter
    	tcMod scale 0.9 0.9
    	tcGen environment
    }
	{
    	map env/rnrsky/rnrsky_ft
    	rgbgen const ( 0.9 0.9 0.9 )
    	blendFunc add
    	tcMod scale 0.9 0.9
    	tcGen environment
    }
}

textures/ut4_rnr_alpha/mr_sfx/facade_cloudenv_dark
{
	qer_editorimage env/rnrsky/rnrsky_ft
	//surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm slick
	//q3map_tessSize 128
	{
		map $lightmap
		rgbGen identityLighting
	}
	{
    	map env/rnrsky/rnrsky_ft
    	rgbgen const ( 0.8 0.8 0.8 )
    	blendFunc filter
    	tcGen environment
    }
    {
    	map env/rnrsky/rnrsky_ft
    	rgbgen const ( 0.6 0.6 0.6 )
    	blendFunc add
    	tcGen environment
    }

}

textures/ut4_rnr_alpha/mr_sfx/facade_cloudenv_dark2
{
	qer_editorimage env/rnrsky/rnrsky_rt
	qer_trans 0.99
	//surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm slick
	//q3map_tessSize 128
	{
		map $lightmap
		rgbGen identityLighting
	}
	{
    	map env/rnrsky/rnrsky_ft
    	rgbgen const ( 0.8 0.8 0.8 )
    	tcMod scale 0.9 0.9
    	blendFunc filter
    	tcGen environment
    }
    {
    	map env/rnrsky/rnrsky_ft
    	rgbgen const ( 0.6 0.6 0.6 )
    	tcMod scale 0.9 0.9
    	blendFunc add
    	tcGen environment
    }
}


//
//
// S K Y B O X
//
//


textures/ut4_rnr_alpha/mr_skies/rnrsky
{
	qer_editorimage env/rnrsky/rnrsky_up
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky
	skyparms env/rnrsky/rnrsky 720 -
	//												angle	elevation
	//				    R		  G		  B		  bright	yaw		  pitch	  dev	samp
	//q3map_sunExt	1.00	0.95	0.85	180.0	80		40		0	16	
	//q3map_sunExt	0.859	0.757	0.608	120.0	  165	48.822	0	  16
	q3map_sunExt	0.847	0.749 	0.671	120.0	  165	48.822	0	  16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 100 3
}

textures/ut4_rnr_alpha/mr_rnr_cloud_01
{
	qer_editorimage textures/mr_sfx/mr_cloud_01.tga
	qer_alphafunc greater 0.5
	//qer_trans 1
	surfaceparm nolightmap
	surfaceparm trans	
	nopicmip
	noMipMaps
	cull none
	{
		map textures/mr_sfx/mr_cloud_01.tga
		blendFunc blend
		rgbGen identitylighting
	}
}

textures/ut4_rnr_alpha/building_side_a
	{
	qer_editorimage textures/rick_agency/glasstile
	//qer_trans 0.8
	nopicmip
		{
		map $lightmap
		rgbGen identity
//		alphaGen vertex
		}
		{
		map textures/rick_agency/glasstile
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map env/rnrsky/rnrsky_dn
		blendFunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identityLighting
		alphaGen oneMinusVertex
		}
	}

textures/ut4_rnr_alpha/building_side_glass_a
{
	qer_editorimage env/rnrsky/rnrsky_ft
	//qer_trans 0.8
	nopicmip
	{
		map $lightmap
		rgbGen identity
//		alphaGen vertex
	}
    {
    	map env/rnrsky/rnrsky_ft
    	rgbgen const ( 0.8 0.8 0.8 )
    	tcMod scale 0.9 0.9
    	blendFunc filter
    	tcGen environment
    }
    {
    	map env/rnrsky/rnrsky_ft
    	rgbgen const ( 0.6 0.6 0.6 )
    	tcMod scale 0.9 0.9
    	blendFunc add
    	tcGen environment
    }
	{
		map env/rnrsky/rnrsky_dn
		blendFunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identityLighting
		alphaGen oneMinusVertex
	}
}

textures/ut4_rnr_alpha/cloudpit_fog
{
	qer_editorimage env/rnrsky/rnrsky_dn
	nopicmip
	qer_trans 0.27
	q3map_bounceScale 0.0
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm fog
	fogparms ( .847	.749 .671 ) 20480
}

textures/ut4_rnr_alpha/mr_waterfall1
	{
		qer_editorimage textures/ut4_rnr_alpha/yanzl_resort/water_falling.jpg
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		//surfaceparm lightfilter
	
		cull disable
		deformVertexes wave 8 sin .25 .25 0 8	
		{ 
			map textures/ut4_rnr_alpha/yanzl_resort/water_falling.jpg
			//blendFunc GL_dst_color GL_one
			blendFunc add
			rgbgen identity
			//tcmod scale .5 .5
			tcmod scroll 0 -2
		}
		{ 
			map textures/ut4_rnr_alpha/yanzl_resort/water_falling.jpg
			//blendFunc GL_dst_color GL_one
			blendFunc add
			rgbgen identity
			//tcmod scale .5 .5
			tcmod scroll 0 -2.5
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/ut4_rnr_alpha/calm_water
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		//surfaceparm lightfilter
	
		cull disable
		//deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/ut4_rnr_alpha/mr_waterfall
{
	qer_editorimage textures/yanzl_resort/water_falling.jpg
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none
	tesssize 64
	//deformVertexes wave 80 triangle 0 8 1 .75
	//deformVertexes wave 8 sin .25 .25 0 8	
	//deformVertexes wave 64 sin .25 .25 0 .5	
	{
		map textures/ut4_rnr_alpha/yanzl_resort/water_falling.jpg
		rgbGen identity
		tcMod Scroll 0 -1.75
		tcMod turb 0 .1 0 .1
		blendFunc GL_dst_color GL_one
	}
	{
		map textures/ut4_rnr_alpha/yanzl_resort/water_falling.jpg
		rgbGen identity
		tcMod Scroll 0 -2.3
		//tcMod turb 0 .75 0 .1
		blendFunc GL_dst_color GL_one
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
	}
}


textures/ut4_rnr_alpha/aqua_under
{
	qer_editorimage	textures/arevass/water
	sort banner
	qer_trans	0.8
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	8
	deformvertexes normal 0.2 0.2
	deformvertexes wave 8 sin 0 1 0 0.6 //wave div(wave spread) func base amplitude phase freq
    {
        map textures/liquids/pool3d_3e.tga
	blendFunc filter
	//rgbGen const ( 0.4 0.4 0.4 )
    alphaFunc GE128
	alphaGen const 1
	//tcmod scroll 0 -0.25
    }
    {
	map textures/mr_floor/mr_pebbles_02
	tcGen environment
	//rgbGen const ( 1.4 1.3 1.3 )
	tcmod scale 8 8
	blendFunc GL_ONE GL_ONE
    }
//    {
//	map textures/mr_floor/mr_pebbles_02
//	tcGen environment
//	tcmod scale 8 8
//	blendFunc filter
//    }
//    {
//	map $lightmap
//	blendFunc filter
//    }
}

textures/ut4_rnr_alpha/aqua_under2
{
	qer_editorimage	textures/mr_liquids/mr_ripples
		//sort banner
		qer_trans	0.9
		surfaceparm	nonsolid
		surfaceparm	nonopaque
		surfaceparm	trans
		surfaceparm nolightmap
		//q3map_material	Water
		deformvertexes normal 0.1 1
		//deformvertexes normal 1 sin 2 0 2
		q3map_surfacelight 500
		tessSize 8
		//cull disable

		deformVertexes wave 100 sin 0 1 .5 .6
//		{
//			map textures/mr_liquids/mr_water_01.jpg
//			//map textures/liquids/blueslime.tga
//			//map textures/mr_liquids/mr_ripples
//				blendFunc GL_ONE GL_SRC_ALPHA
//				rgbGen const ( .7 .7 .7 )
//				alphaFunc GE128
//				alphaGen const 1.0
//				//tcmod scroll 0 -0.25
//		}
//	{
//		//map textures/arevass/cubemap.jpg
//			//map textures/mr_floor/mr_pebbles_02
//			map textures/mr_liquids/mr_ripples
//			tcGen environment
//			rgbGen const ( 0.9 0.9 0.9 )
//			blendFunc GL_ONE GL_ONE
//			tcmod scroll .025 .01
//	}
	{
		//map textures/arevass/cubemap.jpg
		map textures/mr_liquids/mr_ripples
			//map textures/mr_floor/mr_pebbles_02
			tcGen environment
			//blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
	}

}


textures/ut4_rnr_alpha/fern
{
    q3map_forceMeta
    qer_editorimage models/mapobjects/fern.tga
    qer_trans 0.99
    surfaceparm alphashadow
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    q3map_shadeangle 50
    q3map_nonplanar

    cull none
    {
        map models/mapobjects/fern.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbgen identity
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/ut4_rnr_alpha/mr_bubbles
	{
	qer_alphafunc greater 0.5
	qer_trans 0.99
	//qer_editorimage textures/hipshot_m8/particles.jpg
	qer_editorimage textures/mr_liquids/mr_bubbles.jpg
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	cull none
	tessSize	32
	deformvertexes normal 0.2 0.2
	deformvertexes wave 8 sin 0 1 0 0.6 //wave div(wave spread) func base amplitude phase freq
	//deformVertexes bulge 128 1 2	
	{
		//map textures/hipshot_m8/particles.jpg
		map textures/mr_liquids/mr_bubbles.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 -3
	}
}

textures/ut4_rnr_alpha/mr_clouds1
	{
	qer_editorimage textures/mr_skies/mr_clouds_01.tga
	qer_trans 0.5
	q3map_noFog
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	cull none
		{
		map textures/mr_skies/mr_clouds_01.tga
		rgbGen identityLighting
		tcMod turb 0 .03 0 .03
		
		//blendfunc GL_SRC_ALPHA GL_ONE
		//rgbgen const ( 0.020 .020 .025 )
		}	
	}

	textures/ut4_rnr_alpha/mr_surfacelight_org_4000
{
	qer_editorimage	textures/ut4_rnr_alpha/mr_dev/org_lg
	q3map_surfacelight 	4000
	q3map_lightRGB 250 170 80
	q3map_backSplash 0 0
	q3map_lightSubdivide 8
	surfaceparm nolightmap
	surfaceparm nomarks

	{
		map textures/ut4_rnr_alpha/mr_dev/org_lg
		rgbGen identity
	}
}

textures/ut4_rnr_alpha/mr_waterfall
{
	qer_editorimage textures/yanzl_resort/water_falling.jpg
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none
	//tesssize 64
	{
		map textures/ut4_rnr_alpha/yanzl_resort/water_falling.jpg
		rgbGen identity
		tcMod Scroll 0 -1.75
		tcMod turb 0 .1 0 .1
		blendFunc GL_dst_color GL_one
	}
	{
		map textures/ut4_rnr_alpha/yanzl_resort/water_falling.jpg
		rgbGen identity
		tcMod Scroll 0 -2.3
		//tcMod turb 0 .75 0 .1
		blendFunc GL_dst_color GL_one
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//		depthFunc equal
	}
}

models/ut4_rnr_alpha/ziba/bark01
{
	q3map_material	SolidWood
	q3map_onlyvertexlighting
	{
		map models/ziba/bark01
		rgbGen identity
	}
}

models/ut4_rnr_alpha/ziba/leaves01
{
	qer_trans 1.0
	cull	twosided
	{
		map models/ziba/leaves01
		alphaFunc GE128
		blendFunc GL_ONE GL_ZERO
		depthWrite
	}
	{ 
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}